
QGIS Application - Feature request #8270

Incremental output in python console

2013-07-11 08:33 AM - Alexander Dunlap

Status: Closed

Priority: Low

Assignee: Nathan Woodrow

Category: Python plugins

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 17073

Description

It would be great if the Python console showed script output as it were produced by the script, rather than waiting until the script finishes

to display the output. This would allow one to monitor the progress of a script more easily. Also, if a script generates an exception, the

exception is displayed at the top, above all of the output, which makes it hard to see that there has been an error if the script generates a

lot of output.

History

#1 - 2013-07-11 08:35 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

#2 - 2013-07-11 02:38 PM - Nathan Woodrow

- Target version changed from Future Release - Nice to have to Version 2.0.0

- Assignee set to Nathan Woodrow

I'm going to fix hopefully before 2.0.

#3 - 2013-07-14 05:37 AM - Nathan Woodrow

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:e394cfb4fd8

#4 - 2013-07-19 07:48 AM - Alexander Dunlap

In a nightly build from a few days ago (a day after your commit) I see that exceptions are now displayed below output but I don't see incremental output.

For example, when I run

import time

for i in xrange(3):

    time.sleep(1)

    print i

in the console, the script waits three seconds and then prints

0

1
rather than waiting 1 second, printing 0, waiting another second, printing 1, etc.
